<html devsite>
  <head>
    <title>Android Security Bulletins</title>
    <meta name="project_path" value="/_project.yaml" />
    <meta name="book_path" value="/_book.yaml" />
  </head>
  <body>
  <!--
      Copyright 2017 The Android Open Source Project

      Licensed under the Apache License, Version 2.0 (the "License");
      you may not use this file except in compliance with the License.
      You may obtain a copy of the License at

          http://www.apache.org/licenses/LICENSE-2.0

      Unless required by applicable law or agreed to in writing, software
      distributed under the License is distributed on an "AS IS" BASIS,
      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
      See the License for the specific language governing permissions and
      limitations under the License.
  -->


<p>Monthly device updates are an important tool to keep Android users safe
and protect their devices. This page contains the available Android Security
Bulletins, which provide fixes for possible issues affecting devices running
Android. Android device and chipset manufacturers may also publish security
vulnerability details specific to their products, such as:</p>
<ul>
  <li><a
         href="/security/bulletin/pixel/">Google</a></li>
  <li><a
         href="https://lgsecurity.lge.com/security_updates.html"
         class="external">LG</a></li>
  <li><a
         href="https://motorola-global-portal.custhelp.com/app/software-upgrade-news/g_id/1949"
         class="external">
  Motorola</a></li>
  <li><a
         href="https://www.nokia.com/en_int/phones/security-updates"
         class="external">Nokia</a></li>
  <li><a
         href="https://security.samsungmobile.com/securityUpdate.smsb"
         class="external">Samsung</a></li>
</ul>

<h3 id="sources">Sources</h3>

<p>Fixes listed in the public bulletin come from various different sources: the
Android Open Source Project (AOSP), the upstream Linux kernel, and system-on-chip
(SOC) manufacturers. For device manufacturers:</p>
<ul>
  <li>Android platform fixes are merged into AOSP 24&ndash;48 hours after the
      security bulletin is released and can be picked up directly from there.</li>
  <li>Upstream Linux kernel fixes are linked to directly from the bulletin on
      release and can be picked up from there.</li>
  <li>Fixes from SOC manufacturers are available directly from the manufacturers.</li>
</ul>
<h3 id="bulletins">Bulletins</h3>

<table>
  <col width="15%">
  <col width="49%">
  <col width="17%">
  <col width="19%">
 <tr>
    <th>Bulletin</th>
    <th>Languages</th>
    <th>Published date</th>
    <th>Security patch level</th>
 </tr>
<tr>
    <td><a href="/security/bulletin/2019-01-01.html">January 2019</a></td>
    <td>
     <a href="/security/bulletin/2019-01-01.html">English</a>&nbsp;/
     <a href="/security/bulletin/2019-01-01.html?hl=ja">日本語</a>&nbsp;/
     <a href="/security/bulletin/2019-01-01.html?hl=ko">한국어</a>&nbsp;/
     <a href="/security/bulletin/2019-01-01.html?hl=ru">ру́сский</a>&nbsp;/
     <a href="/security/bulletin/2019-01-01.html?hl=zh-cn">简体中文</a>&nbsp;/
     <a href="/security/bulletin/2019-01-01.html?hl=zh-tw">繁體中文&nbsp;(台灣)</a>
     </td>
    <td>January 7, 2019</td>
    <td>2019-01-01<br>
        2019-01-05</td>
 </tr>
 <tr>
    <td><a href="/security/bulletin/2018-12-01.html">December 2018</a></td>
    <td>
     <a href="/security/bulletin/2018-12-01.html">English</a>&nbsp;/
     <a href="/security/bulletin/2018-12-01.html?hl=ja">日本語</a>&nbsp;/
     <a href="/security/bulletin/2018-12-01.html?hl=ko">한국어</a>&nbsp;/
     <a href="/security/bulletin/2018-12-01.html?hl=ru">ру́сский</a>&nbsp;/
     <a href="/security/bulletin/2018-12-01.html?hl=zh-cn">简体中文</a>&nbsp;/
     <a href="/security/bulletin/2018-12-01.html?hl=zh-tw">繁體中文&nbsp;(台灣)</a>
    <td>December 3, 2018</td>
    <td>2018-12-01<br>
        2018-12-05</td>
 </tr>
 <tr>
    <td><a href="/security/bulletin/2018-11-01.html">November 2018</a></td>
    <td>
     <a href="/security/bulletin/2018-11-01.html">English</a>&nbsp;/
     <a href="/security/bulletin/2018-11-01.html?hl=ja">日本語</a>&nbsp;/
     <a href="/security/bulletin/2018-11-01.html?hl=ko">한국어</a>&nbsp;/
     <a href="/security/bulletin/2018-11-01.html?hl=ru">ру́сский</a>&nbsp;/
     <a href="/security/bulletin/2018-11-01.html?hl=zh-cn">简体中文</a>&nbsp;/
     <a href="/security/bulletin/2018-11-01.html?hl=zh-tw">繁體中文&nbsp;(台灣)</a>
    </td>
    <td>November 5, 2018</td>
    <td>2018-11-01<br>
        2018-11-05</td>
 </tr>
 <tr>
    <td><a href="/security/bulletin/2018-10-01.html">October 2018</a></td>
    <td>
     <a href="/security/bulletin/2018-10-01.html">English</a>&nbsp;/
     <a href="/security/bulletin/2018-10-01.html?hl=ja">日本語</a>&nbsp;/
     <a href="/security/bulletin/2018-10-01.html?hl=ko">한국어</a>&nbsp;/
     <a href="/security/bulletin/2018-10-01.html?hl=ru">ру́сский</a>&nbsp;/
     <a href="/security/bulletin/2018-10-01.html?hl=zh-cn">简体中文</a>&nbsp;/
     <a href="/security/bulletin/2018-10-01.html?hl=zh-tw">繁體中文&nbsp;(台灣)</a>
    </td>
    <td>October 1, 2018</td>
    <td>2018-10-01<br>
        2018-10-05</td>
 </tr>
 <tr>
    <td><a href="/security/bulletin/2018-09-01.html">September 2018</a></td>
    <td>
     <a href="/security/bulletin/2018-09-01.html">English</a>&nbsp;/
     <a href="/security/bulletin/2018-09-01.html?hl=ja">日本語</a>&nbsp;/
     <a href="/security/bulletin/2018-09-01.html?hl=ko">한국어</a>&nbsp;/
     <a href="/security/bulletin/2018-09-01.html?hl=ru">ру́сский</a>&nbsp;/
     <a href="/security/bulletin/2018-09-01.html?hl=zh-cn">简体中文</a>&nbsp;/
     <a href="/security/bulletin/2018-09-01.html?hl=zh-tw">繁體中文&nbsp;(台灣)</a>
    </td>
    <td>September 4, 2018</td>
    <td>2018-09-01<br>
        2018-09-05</td>
 </tr>
 <tr>
    <td><a href="/security/bulletin/2018-08-01.html">August 2018</a></td>
    <td>
     <a href="/security/bulletin/2018-08-01.html">English</a>&nbsp;/
     <a href="/security/bulletin/2018-08-01.html?hl=ja">日本語</a>&nbsp;/
     <a href="/security/bulletin/2018-08-01.html?hl=ko">한국어</a>&nbsp;/
     <a href="/security/bulletin/2018-08-01.html?hl=ru">ру́сский</a>&nbsp;/
     <a href="/security/bulletin/2018-08-01.html?hl=zh-cn">简体中文</a>&nbsp;/
     <a href="/security/bulletin/2018-08-01.html?hl=zh-tw">繁體中文&nbsp;(台灣)</a>
    </td>
    <td>August 6, 2018</td>
    <td>2018-08-01<br>
        2018-08-05</td>
 </tr>
 <tr>
    <td><a href="/security/bulletin/2018-07-01.html">July 2018</a></td>
    <td>
     <a href="/security/bulletin/2018-07-01.html">English</a>&nbsp;/
     <a href="/security/bulletin/2018-07-01.html?hl=ja">日本語</a>&nbsp;/
     <a href="/security/bulletin/2018-07-01.html?hl=ko">한국어</a>&nbsp;/
     <a href="/security/bulletin/2018-07-01.html?hl=ru">ру́сский</a>&nbsp;/
     <a href="/security/bulletin/2018-07-01.html?hl=zh-cn">简体中文</a>&nbsp;/
     <a href="/security/bulletin/2018-07-01.html?hl=zh-tw">繁體中文&nbsp;(台灣)</a>
    </td>
    <td>July 2, 2018</td>
    <td>2018-07-01<br>
        2018-07-05</td>
 </tr>
 <tr>
    <td><a href="/security/bulletin/2018-06-01.html">June 2018</a></td>
    <td>
     <a href="/security/bulletin/2018-06-01.html">English</a>&nbsp;/
     <a href="/security/bulletin/2018-06-01.html?hl=ja">日本語</a>&nbsp;/
     <a href="/security/bulletin/2018-06-01.html?hl=ko">한국어</a>&nbsp;/
     <a href="/security/bulletin/2018-06-01.html?hl=ru">ру́сский</a>&nbsp;/
     <a href="/security/bulletin/2018-06-01.html?hl=zh-cn">简体中文</a>&nbsp;/
     <a href="/security/bulletin/2018-06-01.html?hl=zh-tw">繁體中文&nbsp;(台灣)</a>
    </td>
    <td>June 4, 2018</td>
    <td>2018-06-01<br>
        2018-06-05</td>
 </tr>
 <tr>
    <td><a href="/security/bulletin/2018-05-01.html">May 2018</a></td>
    <td>
     <a href="/security/bulletin/2018-05-01.html">English</a>&nbsp;/
     <a href="/security/bulletin/2018-05-01.html?hl=ja">日本語</a>&nbsp;/
     <a href="/security/bulletin/2018-05-01.html?hl=ko">한국어</a>&nbsp;/
     <a href="/security/bulletin/2018-05-01.html?hl=ru">ру́сский</a>&nbsp;/
     <a href="/security/bulletin/2018-05-01.html?hl=zh-cn">简体中文</a>&nbsp;/
     <a href="/security/bulletin/2018-05-01.html?hl=zh-tw">繁體中文&nbsp;(台灣)</a>
    </td>
    <td>May 7, 2018</td>
    <td>2018-05-01<br>
        2018-05-05</td>
 </tr>
 <tr>
    <td><a href="/security/bulletin/2018-04-01.html">April 2018</a></td>
    <td>
     <a href="/security/bulletin/2018-04-01.html">English</a>&nbsp;/
     <a href="/security/bulletin/2018-04-01.html?hl=ja">日本語</a>&nbsp;/
     <a href="/security/bulletin/2018-04-01.html?hl=ko">한국어</a>&nbsp;/
     <a href="/security/bulletin/2018-04-01.html?hl=ru">ру́сский</a>&nbsp;/
     <a href="/security/bulletin/2018-04-01.html?hl=zh-cn">简体中文</a>&nbsp;/
     <a href="/security/bulletin/2018-04-01.html?hl=zh-tw">繁體中文&nbsp;(台灣)</a>
    </td>
    <td>April 2, 2018</td>
    <td>2018-04-01<br>
        2018-04-05</td>
 </tr>
 <tr>
    <td><a href="/security/bulletin/2018-03-01.html">March 2018</a></td>
    <td>
     <a href="/security/bulletin/2018-03-01.html">English</a>&nbsp;/
     <a href="/security/bulletin/2018-03-01.html?hl=ja">日本語</a>&nbsp;/
     <a href="/security/bulletin/2018-03-01.html?hl=ko">한국어</a>&nbsp;/
     <a href="/security/bulletin/2018-03-01.html?hl=ru">ру́сский</a>&nbsp;/
     <a href="/security/bulletin/2018-03-01.html?hl=zh-cn">简体中文</a>&nbsp;/
     <a href="/security/bulletin/2018-03-01.html?hl=zh-tw">繁體中文&nbsp;(台灣)</a>
    </td>
    <td>March 5, 2018</td>
    <td>2018-03-01<br>
        2018-03-05</td>
 </tr>
 <tr>
    <td><a href="/security/bulletin/2018-02-01.html">February 2018</a></td>
    <td>
     <a href="/security/bulletin/2018-02-01.html">English</a>&nbsp;/
     <a href="/security/bulletin/2018-02-01.html?hl=ja">日本語</a>&nbsp;/
     <a href="/security/bulletin/2018-02-01.html?hl=ko">한국어</a>&nbsp;/
     <a href="/security/bulletin/2018-02-01.html?hl=ru">ру́сский</a>&nbsp;/
     <a href="/security/bulletin/2018-02-01.html?hl=zh-cn">简体中文</a>&nbsp;/
     <a href="/security/bulletin/2018-02-01.html?hl=zh-tw">繁體中文&nbsp;(台灣)</a>
    </td>
    <td>February 5, 2018</td>
    <td>2018-02-01<br>
        2018-02-05</td>
 </tr>
 <tr>
    <td><a href="/security/bulletin/2018-01-01.html">January 2018</a></td>
    <td>
     <a href="/security/bulletin/2018-01-01.html">English</a>&nbsp;/
     <a href="/security/bulletin/2018-01-01.html?hl=ja">日本語</a>&nbsp;/
     <a href="/security/bulletin/2018-01-01.html?hl=ko">한국어</a>&nbsp;/
     <a href="/security/bulletin/2018-01-01.html?hl=ru">ру́сский</a>&nbsp;/
     <a href="/security/bulletin/2018-01-01.html?hl=zh-cn">简体中文</a>&nbsp;/
     <a href="/security/bulletin/2018-01-01.html?hl=zh-tw">繁體中文&nbsp;(台灣)</a>
    </td>
    <td>January 2, 2018</td>
    <td>2018-01-01<br>
        2018-01-05</td>
 </tr>
 <tr>
    <td><a href="/security/bulletin/2017-12-01.html">December 2017</a></td>
    <td>
     <a href="/security/bulletin/2017-12-01.html">English</a>&nbsp;/
     <a href="/security/bulletin/2017-12-01.html?hl=ja">日本語</a>&nbsp;/
     <a href="/security/bulletin/2017-12-01.html?hl=ko">한국어</a>&nbsp;/
     <a href="/security/bulletin/2017-12-01.html?hl=ru">ру́сский</a>&nbsp;/
     <a href="/security/bulletin/2017-12-01.html?hl=zh-cn">简体中文</a>&nbsp;/
     <a href="/security/bulletin/2017-12-01.html?hl=zh-tw">繁體中文&nbsp;(台灣)</a>
    </td>
    <td>December 4, 2017</td>
    <td>2017-12-01<br>
        2017-12-05</td>
 </tr>
 <tr>
    <td><a href="/security/bulletin/2017-11-01.html">November 2017</a></td>
    <td>
     <a href="/security/bulletin/2017-11-01.html">English</a>&nbsp;/
     <a href="/security/bulletin/2017-11-01.html?hl=ja">日本語</a>&nbsp;/
     <a href="/security/bulletin/2017-11-01.html?hl=ko">한국어</a>&nbsp;/
     <a href="/security/bulletin/2017-11-01.html?hl=ru">ру́сский</a>&nbsp;/
     <a href="/security/bulletin/2017-11-01.html?hl=zh-cn">简体中文</a>&nbsp;/
     <a href="/security/bulletin/2017-11-01.html?hl=zh-tw">繁體中文&nbsp;(台灣)</a>
    </td>
    <td>November 6, 2017</td>
    <td>2017-11-01<br>
        2017-11-05<br>
        2017-11-06</td>
 </tr>
 <tr>
    <td><a href="/security/bulletin/2017-10-01.html">October 2017</a></td>
    <td>
     <a href="/security/bulletin/2017-10-01.html">English</a>&nbsp;/
     <a href="/security/bulletin/2017-10-01.html?hl=ja">日本語</a>&nbsp;/
     <a href="/security/bulletin/2017-10-01.html?hl=ko">한국어</a>&nbsp;/
     <a href="/security/bulletin/2017-10-01.html?hl=ru">ру́сский</a>&nbsp;/
     <a href="/security/bulletin/2017-10-01.html?hl=zh-cn">简体中文</a>&nbsp;/
     <a href="/security/bulletin/2017-10-01.html?hl=zh-tw">繁體中文&nbsp;(台灣)</a>
    </td>
    <td>October 2, 2017</td>
    <td>2017-10-01<br>
        2017-10-05</td>
 </tr>
 <tr>
    <td><a href="/security/bulletin/2017-09-01.html">September 2017</a></td>
    <td>
     <a href="/security/bulletin/2017-09-01.html">English</a>&nbsp;/
     <a href="/security/bulletin/2017-09-01.html?hl=ja">日本語</a>&nbsp;/
     <a href="/security/bulletin/2017-09-01.html?hl=ko">한국어</a>&nbsp;/
     <a href="/security/bulletin/2017-09-01.html?hl=ru">ру́сский</a>&nbsp;/
     <a href="/security/bulletin/2017-09-01.html?hl=zh-cn">简体中文</a>&nbsp;/
     <a href="/security/bulletin/2017-09-01.html?hl=zh-tw">繁體中文&nbsp;(台灣)</a>
    </td>
    <td>September 5, 2017</td>
    <td>2017-09-01<br>
        2017-09-05</td>
 </tr>
 <tr>
    <td><a href="/security/bulletin/2017-08-01.html">August 2017</a></td>
    <td>
     <a href="/security/bulletin/2017-08-01.html">English</a>&nbsp;/
     <a href="/security/bulletin/2017-08-01.html?hl=ja">日本語</a>&nbsp;/
     <a href="/security/bulletin/2017-08-01.html?hl=ko">한국어</a>&nbsp;/
     <a href="/security/bulletin/2017-08-01.html?hl=ru">ру́сский</a>&nbsp;/
     <a href="/security/bulletin/2017-08-01.html?hl=zh-cn">简体中文</a>&nbsp;/
     <a href="/security/bulletin/2017-08-01.html?hl=zh-tw">繁體中文&nbsp;(台灣)</a>
    </td>
    <td>August 7, 2017</td>
    <td>2017-08-01<br>
        2017-08-05</td>
 </tr>
 <tr>
    <td><a href="/security/bulletin/2017-07-01.html">July 2017</a></td>
    <td>
     <a href="/security/bulletin/2017-07-01.html">English</a>&nbsp;/
     <a href="/security/bulletin/2017-07-01.html?hl=ja">日本語</a>&nbsp;/
     <a href="/security/bulletin/2017-07-01.html?hl=ko">한국어</a>&nbsp;/
     <a href="/security/bulletin/2017-07-01.html?hl=ru">ру́сский</a>&nbsp;/
     <a href="/security/bulletin/2017-07-01.html?hl=zh-cn">简体中文</a>&nbsp;/
     <a href="/security/bulletin/2017-07-01.html?hl=zh-tw">繁體中文&nbsp;(台灣)</a>
    </td>
    <td>July 5, 2017</td>
    <td>2017-07-01<br>
        2017-07-05</td>
 </tr>
 <tr>
    <td><a href="/security/bulletin/2017-06-01.html">June 2017</a></td>
    <td>
     <a href="/security/bulletin/2017-06-01.html">English</a>&nbsp;/
     <a href="/security/bulletin/2017-06-01.html?hl=ja">日本語</a>&nbsp;/
     <a href="/security/bulletin/2017-06-01.html?hl=ko">한국어</a>&nbsp;/
     <a href="/security/bulletin/2017-06-01.html?hl=ru">ру́сский</a>&nbsp;/
     <a href="/security/bulletin/2017-06-01.html?hl=zh-cn">简体中文</a>&nbsp;/
     <a href="/security/bulletin/2017-06-01.html?hl=zh-tw">繁體中文&nbsp;(台灣)</a>
    </td>
    <td>June 5, 2017</td>
    <td>2017-06-01<br>
        2017-06-05</td>
 </tr>
 <tr>
    <td><a href="/security/bulletin/2017-05-01.html">May 2017</a></td>
    <td>
     <a href="/security/bulletin/2017-05-01.html">English</a>&nbsp;/
     <a href="/security/bulletin/2017-05-01.html?hl=ja">日本語</a>&nbsp;/
     <a href="/security/bulletin/2017-05-01.html?hl=ko">한국어</a>&nbsp;/
     <a href="/security/bulletin/2017-05-01.html?hl=ru">ру́сский</a>&nbsp;/
     <a href="/security/bulletin/2017-05-01.html?hl=zh-cn">简体中文</a>&nbsp;/
     <a href="/security/bulletin/2017-05-01.html?hl=zh-tw">繁體中文&nbsp;(台灣)</a>
    </td>
    <td>May 1, 2017</td>
    <td>2017-05-01<br>
        2017-05-05</td>
 </tr>
 <tr>
    <td><a href="/security/bulletin/2017-04-01.html">April 2017</a></td>
    <td><a href="/security/bulletin/2017-04-01.html">English</a>&nbsp;/
     <a href="/security/bulletin/2017-04-01.html?hl=ja">日本語</a>&nbsp;/
     <a href="/security/bulletin/2017-04-01.html?hl=ko">한국어</a>&nbsp;/
     <a href="/security/bulletin/2017-04-01.html?hl=ru">ру́сский</a>&nbsp;/
     <a href="/security/bulletin/2017-04-01.html?hl=zh-cn">简体中文</a>&nbsp;/
     <a href="/security/bulletin/2017-04-01.html?hl=zh-tw">繁體中文&nbsp;(台灣)</a>
    </td>
    <td>April 3, 2017</td>
    <td>2017-04-01<br>
        2017-04-05</td>
 </tr>
 <tr>
    <td><a href="/security/bulletin/2017-03-01.html">March 2017</a></td>
    <td><a href="/security/bulletin/2017-03-01.html">English</a>&nbsp;/
      <a href="/security/bulletin/2017-03-01.html?hl=ja">日本語</a>&nbsp;/
      <a href="/security/bulletin/2017-03-01.html?hl=ko">한국어</a>&nbsp;/
      <a href="/security/bulletin/2017-03-01.html?hl=ru">ру́сский</a>&nbsp;/
      <a href="/security/bulletin/2017-03-01.html?hl=zh-cn">简体中文</a>&nbsp;/
      <a href="/security/bulletin/2017-03-01.html?hl=zh-tw">繁體中文&nbsp;(台灣)</a>
    </td>
    <td>March 6, 2017</td>
    <td>2017-03-01<br>
        2017-03-05</td>
 </tr>
 <tr>
    <td><a href="/security/bulletin/2017-02-01.html">February 2017</a></td>
    <td><a href="/security/bulletin/2017-02-01.html">English</a>&nbsp;/
      <a href="/security/bulletin/2017-02-01.html?hl=ja">日本語</a>&nbsp;/
      <a href="/security/bulletin/2017-02-01.html?hl=ko">한국어</a>&nbsp;/
      <a href="/security/bulletin/2017-02-01.html?hl=ru">ру́сский</a>&nbsp;/
      <a href="/security/bulletin/2017-02-01.html?hl=zh-cn">简体中文</a>&nbsp;/
      <a href="/security/bulletin/2017-02-01.html?hl=zh-tw">繁體中文&nbsp;(台灣)</a>
    </td>
    <td>February 6, 2017</td>
    <td>2017-02-01<br>
        2017-02-05</td>
 </tr>
 <tr>
    <td><a href="/security/bulletin/2017-01-01.html">January 2017</a></td>
    <td><a href="/security/bulletin/2017-01-01.html">English</a>&nbsp;/
      <a href="/security/bulletin/2017-01-01.html?hl=ja">日本語</a>&nbsp;/
      <a href="/security/bulletin/2017-01-01.html?hl=ko">한국어</a>&nbsp;/
      <a href="/security/bulletin/2017-01-01.html?hl=ru">ру́сский</a>&nbsp;/
      <a href="/security/bulletin/2017-01-01.html?hl=zh-cn">简体中文</a>&nbsp;/
      <a href="/security/bulletin/2017-01-01.html?hl=zh-tw">繁體中文&nbsp;(台灣)</a>
    </td>
    <td>January 3, 2017</td>
    <td>2017-01-01<br>
        2017-01-05</td>
 </tr>
 <tr>
    <td><a href="/security/bulletin/2016-12-01.html">December 2016</a></td>
    <td>
      <a href="/security/bulletin/2016-12-01.html">English</a>&nbsp;/
      <a href="/security/bulletin/2016-12-01.html?hl=ja">日本語</a>&nbsp;/
      <a href="/security/bulletin/2016-12-01.html?hl=ko">한국어</a>&nbsp;/
      <a href="/security/bulletin/2016-12-01.html?hl=ru">ру́сский</a>&nbsp;/
      <a href="/security/bulletin/2016-12-01.html?hl=zh-cn">简体中文</a>&nbsp;/
      <a href="/security/bulletin/2016-12-01.html?hl=zh-tw">繁體中文&nbsp;(台灣)</a>
    </td>
    <td>December 5, 2016</td>
    <td>2016-12-01<br>
        2016-12-05</td>
 </tr>
 <tr>
    <td><a href="/security/bulletin/2016-11-01.html">November 2016</a></td>
    <td>
      <a href="/security/bulletin/2016-11-01.html">English</a>&nbsp;/
      <a href="/security/bulletin/2016-11-01.html?hl=ja">日本語</a>&nbsp;/
      <a href="/security/bulletin/2016-11-01.html?hl=ko">한국어</a>&nbsp;/
      <a href="/security/bulletin/2016-11-01.html?hl=ru">ру́сский</a>&nbsp;/
      <a href="/security/bulletin/2016-11-01.html?hl=zh-cn">简体中文</a>&nbsp;/
      <a href="/security/bulletin/2016-11-01.html?hl=zh-tw">繁體中文&nbsp;(台灣)</a>
    </td>
    <td>November 7, 2016</td>
    <td>2016-11-01<br>
        2016-11-05<br>
        2016-11-06</td>
 </tr>
 <tr>
    <td><a href="/security/bulletin/2016-10-01.html">October 2016</a></td>
    <td>
      <a href="/security/bulletin/2016-10-01.html">English</a>&nbsp;/
      <a href="/security/bulletin/2016-10-01.html?hl=ja">日本語</a>&nbsp;/
      <a href="/security/bulletin/2016-10-01.html?hl=ko">한국어</a>&nbsp;/
      <a href="/security/bulletin/2016-10-01.html?hl=ru">ру́сский</a>&nbsp;/
      <a href="/security/bulletin/2016-10-01.html?hl=zh-cn">简体中文</a>&nbsp;/
      <a href="/security/bulletin/2016-10-01.html?hl=zh-tw">繁體中文&nbsp;(台灣)</a>
    </td>
    <td>October 3, 2016</td>
    <td>2016-10-01<br>
        2016-10-05</td>
 </tr>
 <tr>
    <td><a href="/security/bulletin/2016-09-01.html">September 2016</a></td>
    <td>
      <a href="/security/bulletin/2016-09-01.html">English</a>&nbsp;/
      <a href="/security/bulletin/2016-09-01.html?hl=ja">日本語</a>&nbsp;/
      <a href="/security/bulletin/2016-09-01.html?hl=ko">한국어</a>&nbsp;/
      <a href="/security/bulletin/2016-09-01.html?hl=ru">ру́сский</a>&nbsp;/
      <a href="/security/bulletin/2016-09-01.html?hl=zh-cn">简体中文</a>&nbsp;/
      <a href="/security/bulletin/2016-09-01.html?hl=zh-tw">繁體中文&nbsp;(台灣)</a>
    </td>
    <td>September 6, 2016</td>
    <td>2016-09-01<br>
        2016-09-05<br>
        2016-09-06</td>
 </tr>
 <tr>
    <td><a href="/security/bulletin/2016-08-01.html">August 2016</a></td>
    <td>
      <a href="/security/bulletin/2016-08-01.html">English</a>&nbsp;/
      <a href="/security/bulletin/2016-08-01.html?hl=ja">日本語</a>&nbsp;/
      <a href="/security/bulletin/2016-08-01.html?hl=ko">한국어</a>&nbsp;/
      <a href="/security/bulletin/2016-08-01.html?hl=ru">ру́сский</a>&nbsp;/
      <a href="/security/bulletin/2016-08-01.html?hl=zh-cn">简体中文</a>&nbsp;/
      <a href="/security/bulletin/2016-08-01.html?hl=zh-tw">繁體中文&nbsp;(台灣)</a>
    </td>
    <td>August 1, 2016</td>
    <td>2016-08-01<br>
        2016-08-05</td>
 </tr>
 <tr>
    <td><a href="/security/bulletin/2016-07-01.html">July 2016</a></td>
    <td>
      <a href="/security/bulletin/2016-07-01.html">English</a>&nbsp;/
      <a href="/security/bulletin/2016-07-01.html?hl=ja">日本語</a>&nbsp;/
      <a href="/security/bulletin/2016-07-01.html?hl=ko">한국어</a>&nbsp;/
      <a href="/security/bulletin/2016-07-01.html?hl=ru">ру́сский</a>&nbsp;/
      <a href="/security/bulletin/2016-07-01.html?hl=zh-cn">简体中文</a>&nbsp;/
      <a href="/security/bulletin/2016-07-01.html?hl=zh-tw">繁體中文&nbsp;(台灣)</a>
    </td>
    <td>July 6, 2016</td>
    <td>2016-07-01<br>
        2016-07-05</td>
 </tr>
 <tr>
    <td><a href="/security/bulletin/2016-06-01.html">June 2016</a></td>
    <td>
      <a href="/security/bulletin/2016-06-01.html">English</a>&nbsp;/
      <a href="/security/bulletin/2016-06-01.html?hl=ja">日本語</a>&nbsp;/
      <a href="/security/bulletin/2016-06-01.html?hl=ko">한국어</a>&nbsp;/
      <a href="/security/bulletin/2016-06-01.html?hl=ru">ру́сский</a>&nbsp;/
      <a href="/security/bulletin/2016-06-01.html?hl=zh-cn">简体中文</a>&nbsp;/
      <a href="/security/bulletin/2016-06-01.html?hl=zh-tw">繁體中文&nbsp;(台灣)</a>
    </td>
    <td>June 6, 2016</td>
    <td>2016-06-01</td>
 </tr>
 <tr>
    <td><a href="/security/bulletin/2016-05-01.html">May 2016</a></td>
    <td>
      <a href="/security/bulletin/2016-05-01.html">English</a>&nbsp;/
      <a href="/security/bulletin/2016-05-01.html?hl=ja">日本語</a>&nbsp;/
      <a href="/security/bulletin/2016-05-01.html?hl=ko">한국어</a>&nbsp;/
      <a href="/security/bulletin/2016-05-01.html?hl=ru">ру́сский</a>&nbsp;/
      <a href="/security/bulletin/2016-05-01.html?hl=zh-cn">简体中文</a>&nbsp;/
      <a href="/security/bulletin/2016-05-01.html?hl=zh-tw">繁體中文&nbsp;(台灣)</a>
    </td>
    <td>May 2, 2016</td>
    <td>2016-05-01</td>
 </tr>
 <tr>
    <td><a href="/security/bulletin/2016-04-02.html">April 2016</a></td>
    <td>
      <a href="/security/bulletin/2016-04-02.html">English</a>&nbsp;/
      <a href="/security/bulletin/2016-04-02.html?hl=ja">日本語</a>&nbsp;/
      <a href="/security/bulletin/2016-04-02.html?hl=ko">한국어</a>&nbsp;/
      <a href="/security/bulletin/2016-04-02.html?hl=ru">ру́сский</a>&nbsp;/
      <a href="/security/bulletin/2016-04-02.html?hl=zh-cn">简体中文</a>&nbsp;/
      <a href="/security/bulletin/2016-04-02.html?hl=zh-tw">繁體中文&nbsp;(台灣)</a>
    </td>
    <td>April 4, 2016</td>
    <td>2016-04-02</td>
 </tr>
 <tr>
    <td><a href="/security/bulletin/2016-03-01.html">March 2016</a></td>
    <td>
      <a href="/security/bulletin/2016-03-01.html">English</a>&nbsp;/
      <a href="/security/bulletin/2016-03-01.html?hl=ja">日本語</a>&nbsp;/
      <a href="/security/bulletin/2016-03-01.html?hl=ko">한국어</a>&nbsp;/
      <a href="/security/bulletin/2016-03-01.html?hl=ru">ру́сский</a>&nbsp;/
      <a href="/security/bulletin/2016-03-01.html?hl=zh-cn">简体中文</a>&nbsp;/
      <a href="/security/bulletin/2016-03-01.html?hl=zh-tw">繁體中文&nbsp;(台灣)</a>
    </td>
    <td>March 7, 2016</td>
    <td>2016-03-01</td>
 </tr>
 <tr>
    <td><a href="/security/bulletin/2016-02-01.html">February 2016</a></td>
    <td>
      <a href="/security/bulletin/2016-02-01.html">English</a>&nbsp;/
      <a href="/security/bulletin/2016-02-01.html?hl=ja">日本語</a>&nbsp;/
      <a href="/security/bulletin/2016-02-01.html?hl=ko">한국어</a>&nbsp;/
      <a href="/security/bulletin/2016-02-01.html?hl=ru">ру́сский</a>&nbsp;/
      <a href="/security/bulletin/2016-02-01.html?hl=zh-cn">简体中文</a>&nbsp;/
      <a href="/security/bulletin/2016-02-01.html?hl=zh-tw">繁體中文&nbsp;(台灣)</a>
    </td>
    <td>February 1, 2016</td>
    <td>2016-02-01</td>
 </tr>
 <tr>
    <td><a href="/security/bulletin/2016-01-01.html">January 2016</a></td>
    <td>
      <a href="/security/bulletin/2016-01-01.html">English</a>&nbsp;/
      <a href="/security/bulletin/2016-01-01.html?hl=ja">日本語</a>&nbsp;/
      <a href="/security/bulletin/2016-01-01.html?hl=ko">한국어</a>&nbsp;/
      <a href="/security/bulletin/2016-01-01.html?hl=ru">ру́сский</a>&nbsp;/
      <a href="/security/bulletin/2016-01-01.html?hl=zh-cn">简体中文</a>&nbsp;/
      <a href="/security/bulletin/2016-01-01.html?hl=zh-tw">繁體中文&nbsp;(台灣)</a>
    </td>
    <td>January 4, 2016</td>
    <td>2016-01-01</td>
 </tr>
 <tr>
    <td><a href="/security/bulletin/2015-12-01.html">December 2015</a></td>
    <td>
      <a href="/security/bulletin/2015-12-01.html">English</a>&nbsp;/
      <a href="/security/bulletin/2015-12-01.html?hl=ja">日本語</a>&nbsp;/
      <a href="/security/bulletin/2015-12-01.html?hl=ko">한국어</a>&nbsp;/
      <a href="/security/bulletin/2015-12-01.html?hl=ru">ру́сский</a>&nbsp;/
      <a href="/security/bulletin/2015-12-01.html?hl=zh-cn">简体中文</a>&nbsp;/
      <a href="/security/bulletin/2015-12-01.html?hl=zh-tw">繁體中文&nbsp;(台灣)</a>
    </td>
    <td>December 7, 2015</td>
    <td>2015-12-01</td>
</tr>
<tr>
    <td><a href="/security/bulletin/2015-11-01.html">November 2015</a></td>
    <td>
      <a href="/security/bulletin/2015-11-01.html">English</a>&nbsp;/
      <a href="/security/bulletin/2015-11-01.html?hl=ja">日本語</a>&nbsp;/
      <a href="/security/bulletin/2015-11-01.html?hl=ko">한국어</a>&nbsp;/
      <a href="/security/bulletin/2015-11-01.html?hl=ru">ру́сский</a>&nbsp;/
      <a href="/security/bulletin/2015-11-01.html?hl=zh-cn">简体中文</a>&nbsp;/
      <a href="/security/bulletin/2015-11-01.html?hl=zh-tw">繁體中文&nbsp;(台灣)</a>
    </td>
    <td>November 2, 2015</td>
    <td>2015-11-01</td>
 </tr>
 <tr>
    <td><a href="/security/bulletin/2015-10-01.html">October 2015</a></td>
    <td>
      <a href="/security/bulletin/2015-10-01.html">English</a>&nbsp;/
      <a href="/security/bulletin/2015-10-01.html?hl=ja">日本語</a>&nbsp;/
      <a href="/security/bulletin/2015-10-01.html?hl=ko">한국어</a>&nbsp;/
      <a href="/security/bulletin/2015-10-01.html?hl=ru">ру́сский</a>&nbsp;/
      <a href="/security/bulletin/2015-10-01.html?hl=zh-cn">简体中文</a>&nbsp;/
      <a href="/security/bulletin/2015-10-01.html?hl=zh-tw">繁體中文&nbsp;(台灣)</a>
    </td>
    <td>October 5, 2015</td>
    <td>2015-10-01</td>
 </tr>
 <tr>
    <td><a href="/security/bulletin/2015-09-01.html">September 2015</a></td>
    <td>
      <a href="/security/bulletin/2015-09-01.html">English</a>&nbsp;/
      <a href="/security/bulletin/2015-09-01.html?hl=ja">日本語</a>&nbsp;/
      <a href="/security/bulletin/2015-09-01.html?hl=ko">한국어</a>&nbsp;/
      <a href="/security/bulletin/2015-09-01.html?hl=ru">ру́сский</a>&nbsp;/
      <a href="/security/bulletin/2015-09-01.html?hl=zh-cn">简体中文</a>&nbsp;/
      <a href="/security/bulletin/2015-09-01.html?hl=zh-tw">繁體中文&nbsp;(台灣)</a>
    </td>
    <td>September 9, 2015</td>
    <td>N/A</td>
 </tr>
 <tr>
    <td><a href="/security/bulletin/2015-08-01.html">August 2015</a></td>
    <td>
      <a href="/security/bulletin/2015-08-01.html">English</a>&nbsp;/
      <a href="/security/bulletin/2015-08-01.html?hl=ja">日本語</a>&nbsp;/
      <a href="/security/bulletin/2015-08-01.html?hl=ko">한국어</a>&nbsp;/
      <a href="/security/bulletin/2015-08-01.html?hl=ru">ру́сский</a>&nbsp;/
      <a href="/security/bulletin/2015-08-01.html?hl=zh-cn">简体中文</a>&nbsp;/
      <a href="/security/bulletin/2015-08-01.html?hl=zh-tw">繁體中文&nbsp;(台灣)</a>
    </td>
    <td>August 13, 2015</td>
    <td>N/A</td>
 </tr>
</table>



  </body>
</html>
